Debian Bug report logs - #557186
libsnmp-base: depends on gawk, but never uses it explicitly

version graph

Package: libsnmp-base; Maintainer for libsnmp-base is Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>; Source for libsnmp-base is src:net-snmp.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 20 Nov 2009 06:12:02 UTC

Severity: normal

Found in version net-snmp/5.4.2.1~dfsg-3

Fixed in version net-snmp/5.7.2~dfsg-1~0.1

Done: Hideki Yamane <henrich@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#557186; Package libsnmp-base. (Fri, 20 Nov 2009 06:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 20 Nov 2009 06:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsnmp-base: depends on gawk, but never uses it explicitly
Date: Fri, 20 Nov 2009 06:08:52 +0000
[Message part 1 (text/plain, inline)]
Package: libsnmp-base
Version: 5.4.2.1~dfsg-3
Severity: normal

libsnmp-base depends on gawk.  However, in the source package, the only
use of gawk is in debian/control.  All the other uses are plain "awk".
Even if gawk is installed, it is not guaranteed that it is the awk
alternative (root may have changed it to, e.g., mawk).

The most preferable alternative is that you change whatever it is to
work on all awks: there are many good reasons to prefer mawk over gawk
(such as speed).  Alternatively, you can keep the dependency but fix
whatever script needs it to call gawk explicitly.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:53 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 13 Mar 2013 07:09:05 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Sat, 06 Apr 2013 01:03:48 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 01:03:49 GMT) Full text and rfc822 format available.

Message #14 received at 557186-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 557186-close@bugs.debian.org
Subject: Bug#557186: fixed in net-snmp 5.7.2~dfsg-1~0.1
Date: Sat, 06 Apr 2013 01:00:15 +0000
Source: net-snmp
Source-Version: 5.7.2~dfsg-1~0.1

We believe that the bug you reported is fixed in the latest version of
net-snmp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 557186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated net-snmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 19 Mar 2013 16:43:02 +0900
Source: net-snmp
Binary: snmpd snmp libsnmp-base libsnmp30 libsnmp30-dbg libsnmp-dev libsnmp-perl python-netsnmp tkmib
Architecture: source amd64 all
Version: 5.7.2~dfsg-1~0.1
Distribution: experimental
Urgency: low
Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 libsnmp-base - SNMP (Simple Network Management Protocol) MIBs and documentation
 libsnmp-dev - SNMP (Simple Network Management Protocol) development files
 libsnmp-perl - SNMP (Simple Network Management Protocol) Perl5 support
 libsnmp30  - SNMP (Simple Network Management Protocol) library
 libsnmp30-dbg - SNMP (Simple Network Management Protocol) library debug
 python-netsnmp - SNMP (Simple Network Management Protocol) Python support
 snmp       - SNMP (Simple Network Management Protocol) applications
 snmpd      - SNMP (Simple Network Management Protocol) agents
 tkmib      - SNMP (Simple Network Management Protocol) MIB browser
Closes: 44373 344979 397573 411858 428824 445608 447705 453124 495060 505149 514842 527231 528104 557186 557348 558356 561124 562787 568550 572414 581185 583391 599929 603593 611837 616437 616913 623499 631063 641608 647468 661899 668545 672063 673197 684388
Changes: 
 net-snmp (5.7.2~dfsg-1~0.1) experimental; urgency=low
 .
   * Non-maintainer upload.
   * New upstream version 5.7.2 (Closes: #557348, #631063, #684388, #599929,
     #673197, #581185, #558356, #568550, #514842, #445608, #557186, #411858,
     #428824, #611837, #495060, #527231, #583391, #572414, #668545, #344979,
     #397573)
   * debian/control
     - set "Standards-Version: 3.9.4"
     - set "Build-Depends: debhelper (>= 9)" to enable hardening
     - set "Build-Depends: automake", instead of automake1.9
     - drop "Build-Depends: python-central", use dh_python2 by default, instead
     - remove duplicational "Priority:" and "Section:" fields
     - make it "Multi-Arch" enable
     - add description for non-free snmp-mibs-downloader for users' convinience
       (Closes: #561124)
     - add "Build-Depends: libmysqld-dev" to support MySQL
     - add "Build-Depends: dh-autoreconf"
     - use python-all (2.6.6-3~) instead of python-all-dev (>= 2.5.4-1~), python
       (>=2.3.5-7) for Build-Depends
     - add "Build-Depends: python2.7-dev"
     - s/libsnmp-python/python-netsnmp/ as Python Policy compliant
       (Closes: #661899)
     - Add libsnmp-base to snmp and snmpd's Depends and remove it from
       libsnmp30, also remove "Depends: libsnmp-perl (=${binary:Version})" from
       libsnmp-dev to adjust dependencies in Multi-Arch compliant.
     - simplify libsnmp-perl's Depends to avoid piuparts error
     - remove "Conflicts: libsnmp-dev" from libsnmp-dev
     - point to git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git for
       Vcs-* fields
   * debian/compat
     - set 9
   * debian/*.install
     - split into *.manpages
   * debian/fixman: drop it.
   * debian/*.manpages (Closes: #505149)
     - remove unnecessary"snmp" from tail of all man pages
   * debian/libsnmp-base.install
     - move /usr/share/mibs to /usr/share/snmp/mibs (probably, previous setting
       was just wrong...)
     - install all mibs/*.txt
   * debian/libsnmp-dev.install
     - change from "usr/lib/*" to "usr/lib/*/*" to deal with Multi-Arch
   * debian/libsnmp30.install
     - change from "usr/lib/*.so" to "usr/lib/*/*.so" to deal with Multi-Arch
   * debian/snmp.dirs: remove it since unnecessary
   * debian/snmpd.dirs: remove lintian overrides direcotry, add /etc/snmp
   * debian/libsnmp-dev.dirs: add it
   * debian/libsnmp-perl.examples: add it since dh_installexamples target in
     previous debian/rules doesn't work correctly.
   * debian/patches
     - remove all *.README files
     - add fix_typo_in_snmpd.conf.patch (Closes: #603593)
       Thanks to Slavko <linux@slavino.sk>
     - add fix_logging_option.patch (Closes: #616437)
     - add fix_snmpcheck_perl_path.patch to provide snmpcheck (Closes: #44373)
     - add net-snmp-config_multi-arch.patch to enable Multi-Arch
     - add fix_regular_expression.patch enable to build under Multi-Arch
     - add to snmptranslate.1.patch fix lintian "hyphen-used-as-minus-sign"
       warnings
     - add fix_spelling_error.patch to fix typo
     - add after_RFC5378 to include some MIBs as DFSF-free code in RFC Documents.
     - adjust and refresh 03_makefiles.patch
     - add fix_man_error.patch
     - drop 25_duplicate_iftable.patch and 44_nlist_kvm.patch since it cannot be
       applied to current code.
     - drop 32_mnttab_path.patch since it was merged to upstream as
       configure.d/config_os_misc4
     - drop 56_manpage.patch since most of patches are merged, and others are
       unnecessary because upstream files are disappeared.
     - refresh 61_vacm_missing_dependency_check.patch
     - drop 63_fix_shell.patch since it was merged to upstream
     - reapplied 64_missing_lib.patch since upstream source has been changed.
     - drop 65_CVE-2012-2141.patch since it was merged to upstream
     - drop 66_formatstrings.patch since almost merged to upstream, some of
       code are changed in upstream and become unnecessary.
     - move 08_defaultconfig.patch to debian/snmptrapd.conf
   * debian/rules
     - enable hardening
       (TODO: building perl module would be failed without -pie)
     - specify LDFLAGS to enable hardening
     - add "--with autotools-dev,autoreconf"
     - export DEB_BUILD_MAINT_OPTIONS to enable hardening
     - drop "dh --with python-central" (Closes: #616913)
     - drop "include /usr/share/python/python.mk"
     - remove "$(PYVERS:%=debian/python-install-stamp-%)"
     - move exist python targets under override_dh_install
     - remove unnecessary .PHONY lines
     - enable tests by removing no instructions with dh_auto_test line
     - set DEB_HOST_MULTIARCH to enable Multi-Arch
     - enable install snmpcheck
     - don't specify to copy files but install them by using .install file
       (mostly)
     - enable mysql support
     - enable AES support (Closes: #447705)
     - don't make symlink for /usr/share/doc/libsnmp-perl since other are okay
       but it has examples files.
     - snmpd doc files link to libsnmp (Closes: #453124)
     - libsnmp-perl doc files link to libsnmp
     - adjust dh_strip for dbg package.
     - adjust dh_clean target
     - remove override_dh_auto_build since LD_RUN_PATH is clearly specified
       during building perl modules
     - add mibII/mta_sendmail to build modules (Closes: #641608)
     - install copyright file manually for libsnmp30
     - "get-orig-source:" target: really remove IANA files.
     - improve specifying MIBs directory with new one.
     - add "disman/event-mib" to MIB_MODULES, somehow changes in 5.2.2-5
       disappeared (Closes: #562787)
   * debian/clean
     - most listed files are cared by autotools-dev, so removed.
   * debian/snmp.conf: fix typo (Closes: #623499, #647468)
   * debian/snmpd.init
     - force remove pid files (Closes: #528104)
     - deal with MIBs directory changes
   * add libsnmp30.lintian-overrides since it seems to be false-positive.
   * debian/snmpd.dirs: fix "using of /var/agentx conflicts with FHS"
     RFC says "(It may create other, implementation-specific endpoints.)", so
     FHS-compliant endpoint is more suitable for Debian system.
     (Closes: #672063)
   * debian/snmpd.lintian-overrides
     - remove above overrides since it's unnecessary anomore.
   * move snmp.conf from libsnmp30 to snmp.
   * debian/snmpd.default
     - Disable loading mteTrigger and mteTriggerConf modules as they don't
       work without non-free MIBs.
   * libsnmp-perl.postinst: remove it since it's not necesssary because
     symlink is handled by debian/rules
Checksums-Sha1: 
 7122a9c32fbaa496a9317277a78c7c1995e68d9e 2878 net-snmp_5.7.2~dfsg-1~0.1.dsc
 c2e54386515e04d400fdb89d73907b312829d924 3316488 net-snmp_5.7.2~dfsg.orig.tar.xz
 330e4c844e836566d66cc9b5be091c822b350ed0 55284 net-snmp_5.7.2~dfsg-1~0.1.debian.tar.gz
 c6787f3fadb32e37e4f40af4ab8c16967a3589fa 79932 snmpd_5.7.2~dfsg-1~0.1_amd64.deb
 d581af53c4fed315a4c5f08ed3345ee2d6817228 181780 snmp_5.7.2~dfsg-1~0.1_amd64.deb
 bacc53b30d538ebe331cf0992c6b3f997f5c80e4 1556376 libsnmp-base_5.7.2~dfsg-1~0.1_all.deb
 3e402310b28d2cab03c9ec3cdf219b88da540287 2718194 libsnmp30_5.7.2~dfsg-1~0.1_amd64.deb
 d2d9d89d0d99bc74e84dc45b9aceeb45d7ac81e0 2873608 libsnmp30-dbg_5.7.2~dfsg-1~0.1_amd64.deb
 37c76e490f98298a85a25b45ed54e978f08cbfd6 1970658 libsnmp-dev_5.7.2~dfsg-1~0.1_amd64.deb
 4d33e7307a96c2e0ca797c6066025fe815aa9379 156488 libsnmp-perl_5.7.2~dfsg-1~0.1_amd64.deb
 3f63285909cfdff3f6ba1bebc074c451791fc132 22754 python-netsnmp_5.7.2~dfsg-1~0.1_amd64.deb
 2e9e33a8bf993d39f8f0fb446cde853ff9d0635a 1432152 tkmib_5.7.2~dfsg-1~0.1_all.deb
Checksums-Sha256: 
 c24ba8fdbb1b819f0d51bae7054cbefb3a25cb1cd6bdc055d85f30c249776e5d 2878 net-snmp_5.7.2~dfsg-1~0.1.dsc
 f336e3223dd641e05734d6b1752fd49cb4172afba1bcc812959e982fa536d3ff 3316488 net-snmp_5.7.2~dfsg.orig.tar.xz
 61e3cf7c360072ad85017b7101c614bcd4bebf69e6549e27c818ce762d7d5dc0 55284 net-snmp_5.7.2~dfsg-1~0.1.debian.tar.gz
 a4da45ce16ba52aaa5e509c46ce54d15ce5b8aa305f177ee212289e0293e1856 79932 snmpd_5.7.2~dfsg-1~0.1_amd64.deb
 6394c1125194e9ceb335877da6d5c9993a780e05d83c82fafe1ecf508a0df482 181780 snmp_5.7.2~dfsg-1~0.1_amd64.deb
 0daa9082a7cf194c3637975ec3f4d3d592ee1cb9aeab544cc7b267be8be0cd24 1556376 libsnmp-base_5.7.2~dfsg-1~0.1_all.deb
 9b8c838e3e581cd36ccbb83ccecd9f4b248ba4be4b544c9bc8ffff3fdaaf3cb9 2718194 libsnmp30_5.7.2~dfsg-1~0.1_amd64.deb
 755bf39ec74d3f7f88550e191540963c87c869c972dbe3290355590f1f80ce3d 2873608 libsnmp30-dbg_5.7.2~dfsg-1~0.1_amd64.deb
 c7859214f913a46f4191a2979e582420de11f7166f58829030930113e6d058d5 1970658 libsnmp-dev_5.7.2~dfsg-1~0.1_amd64.deb
 a09ab0551290a3d69b5a46d54489483bfd716d8e302bd42c2216d8d6fa956fee 156488 libsnmp-perl_5.7.2~dfsg-1~0.1_amd64.deb
 275fa85c25905b9b328489828ac8833bd737dc1c718c143e29247e529b9317de 22754 python-netsnmp_5.7.2~dfsg-1~0.1_amd64.deb
 7e87405642a9e018346d98c1ca3fe977fbdb227dbf730b7c6cc25ef428db145f 1432152 tkmib_5.7.2~dfsg-1~0.1_all.deb
Files: 
 8bdd047def961965c090dd117f826a70 2878 net optional net-snmp_5.7.2~dfsg-1~0.1.dsc
 6cb5706193a61c28e2e8818810a011d3 3316488 net optional net-snmp_5.7.2~dfsg.orig.tar.xz
 0fa9c255ff5af547a446c05923d38f99 55284 net optional net-snmp_5.7.2~dfsg-1~0.1.debian.tar.gz
 cf18a3d98da53fbaca7f23e01aae76d1 79932 net optional snmpd_5.7.2~dfsg-1~0.1_amd64.deb
 3dd50b6901d8783d1406e00096777c08 181780 net optional snmp_5.7.2~dfsg-1~0.1_amd64.deb
 744c9a054b2d83416e9c6a93c9ebd3a4 1556376 libs optional libsnmp-base_5.7.2~dfsg-1~0.1_all.deb
 24e78a43485c0340ace92434ee6a23ad 2718194 libs optional libsnmp30_5.7.2~dfsg-1~0.1_amd64.deb
 a3d24eb75443fce10ab01b51fbaab89e 2873608 debug extra libsnmp30-dbg_5.7.2~dfsg-1~0.1_amd64.deb
 3355cf74314b344ed9ed94ae4a922fb2 1970658 libdevel optional libsnmp-dev_5.7.2~dfsg-1~0.1_amd64.deb
 0aedac8414f698331befe92415fc1e7c 156488 perl optional libsnmp-perl_5.7.2~dfsg-1~0.1_amd64.deb
 4e38d4847b5b6ce285e9b0772996ab7e 22754 python optional python-netsnmp_5.7.2~dfsg-1~0.1_amd64.deb
 cbb4b2491c8f9010de593489680c8105 1432152 net optional tkmib_5.7.2~dfsg-1~0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRSBofAAoJEF0yjQgqqrFAimkQAIcnyey97saNtykIK17BpU43
kRSkAuVshLLHf2q1m/PSl54GgT56kdio13MkfB49RfO35Q98Q1oYv59rjPUUM/le
M4Qi4mDFNkaCDDgZBn1KB6fvq2GCrukowPpRjE1D/BJOKcsjvU+4UuZv4AkAdWPL
cZ+poAp7LN4oOW269khqX7k1oWR5pjETAzyWyQGrBXTDDu0ISAl7n1YAJRrJiVs3
xBV24W7hsp70ny1apbMo7s2iKFR6kbOproMQHqtciB7q3By7wFpnVnmarN4GKSPS
yspnJiW+djSytX9Ciz3T52UE//h5u6m1iR/rqP9PeWFLr67JOssIUHWFfnzyYyEq
8QTyNC8w22kSREZvgagEZBJInufC63TeG2QhwRyxPkNfLXrwKemUHt2nnrj5gAuz
UH87YXVSEiAyqMJeRb+bOuHEH6OStYuOpD6iWzdKFWvlFtdPgC/SACja5yCgyDTq
XLhjVQU7X6zovv9Z19fk5si+S/t/UWGETEEZM/gQkSVgeGpXTxV2F6F4UffO8Rh4
nWS+2iWIDBPaHu1b1OU8S8gSndupi/oWQySTAAH5vVJ4jjMRvhsvadgi4/T+FzGh
vrVgVQzi1CaMIPP924RhkWjUi96VRngOYb63fzs0Z0LlSbd2L6Sfa4sW7lM3WtvT
BsYqu124cf0li4nIjiqo
=MP0k
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Aug 2013 07:36:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:53:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.